use strict;
use warnings;
use FindBin '$Bin';
use lib "$Bin/lib";
use Test::More tests => 1;
use Catalyst::Test 'TestAppExcessiveWarning';

my $last_warning;
{
    local $SIG{__WARN__} = sub { $last_warning = shift };
    get('/');
}
is( $last_warning, undef, 'there should be no warnings about uninitialized value' );
